Subject: [PATCH] exynos: pmu: use PS_HOLD based poweroff for all supported SoCs

From: [email-masked] (Kukjin Kim)
Date: Tue, 24 Mar 2015 17:06:36 +0900

Marek Szyprowski wrote:
> Hello,
Hi,

> On 2015-02-09 11:58, Krzysztof Kozlowski wrote:
> > 2015-02-09 10:06 GMT+01:00 Krzysztof Kozlowski <[email-masked]>:
> >> 2015-02-09 8:25 GMT+01:00 Marek Szyprowski <[email-masked]>:
> >>> PS_HOLD based power off procedure is common for all Exynos SoCs, so use
> >>> it for every Exynos SoC.
> >>>
> >>> Signed-off-by: Marek Szyprowski <[email-masked]>
> >>> ---
> >>>   arch/arm/mach-exynos/pmu.c | 6 +++---
> >>>   1 file changed, 3 insertions(+), 3 deletions(-)
> >> I tried this on Trats2 board (Exynos 4412) and message "Power down
> >> failed, please power off system manually." appears. Is it expected? Or
> >> am I missing some patches (I applied this on top of next-20150129)?
> > It was my fault (I left attached JIG cable which prevents power off).
> > Now it works fine.
> >
> > Tested on Trats2 (Exynos4412):
> > Tested-by: Krzysztof Kozlowski <[email-masked]>
> >
> > Patch also looks good, so:
> > Reviewed-by: Krzysztof Kozlowski <[email-masked]>
> 
> Gentle ping for merging this in v4.1-next...
> 
OK, I'll queue this into v4.1-next/mach-samsung.

Just note, some newer SoC has different poweroff scheme not just using PS_HOLD
based so maybe we need to revisit the poweroff later ;-)

Thanks,
Kukjin